Index: /trunk/include/FlairCore/io_data.h
===================================================================
--- /trunk/include/FlairCore/io_data.h	(revision 12)
+++ /trunk/include/FlairCore/io_data.h	(revision 13)
@@ -19,150 +19,157 @@
 class io_data_impl;
 
-namespace flair { namespace core {
+namespace flair {
+namespace core {
 
-    class Object;
+class Object;
 
-    class DataType {
-    public:
-        virtual std::string GetDescription() const =0;
-        //size in bytes
-        virtual size_t GetSize() const =0;
-    };
+class DataType {
+public:
+  virtual std::string GetDescription() const = 0;
+  // size in bytes
+  virtual size_t GetSize() const = 0;
+};
 
-    class DummyType: public DataType {
-    public:
-        size_t GetSize() const {return 0;}
-        std::string GetDescription() const {return "dummy";};
-    };
-    extern DummyType dummyType;
+class DummyType : public DataType {
+public:
+  size_t GetSize() const { return 0; }
+  std::string GetDescription() const { return "dummy"; };
+};
+extern DummyType dummyType;
 
-    class ScalarType: public DataType {
-    public:
-        ScalarType(size_t _size):size(_size) {}
-        size_t GetSize() const {return size;}
-        virtual std::string GetDescription() const {return "scalar";};
-    private:
-        size_t size;
-    };
+class ScalarType : public DataType {
+public:
+  ScalarType(size_t _size) : size(_size) {}
+  size_t GetSize() const { return size; }
+  virtual std::string GetDescription() const { return "scalar"; };
 
-    class SignedIntegerType: public ScalarType {
-    public:
-        SignedIntegerType(size_t sizeInBits):ScalarType(sizeInBits/8){}
-        std::string GetDescription() const {return "int"+std::to_string(GetSize()*8)+"_t";};
-    };
-    extern SignedIntegerType Int8Type;
-    extern SignedIntegerType Int16Type;
+private:
+  size_t size;
+};
 
-    class FloatType: public ScalarType {
-    public:
-        FloatType():ScalarType(4){}
-        std::string GetDescription() const {return "float";};
-    };
-    extern FloatType floatType;
+class SignedIntegerType : public ScalarType {
+public:
+  SignedIntegerType(size_t sizeInBits) : ScalarType(sizeInBits / 8) {}
+  std::string GetDescription() const {
+    return "int" + std::to_string(GetSize() * 8) + "_t";
+  };
+};
+extern SignedIntegerType Int8Type;
+extern SignedIntegerType Int16Type;
 
+class FloatType : public ScalarType {
+public:
+  FloatType() : ScalarType(4) {}
+  std::string GetDescription() const { return "float"; };
+};
+extern FloatType floatType;
 
-    /*! \class io_data
-    *
-    * \brief Abstract class for data types.
-    *
-    * Use this class to define a custom data type. Data types ares used for logging and graphs. \n
-    * The reimplemented class must call SetSize() in its constructor. \n
-    * io_data can be constructed with n samples (see io_data::io_data).
-    * In this case, old samples can be accessed throug io_data::Prev.
-    */
-    class io_data: public Mutex {
-        friend class IODevice;
-        friend class ::IODevice_impl;
-        friend class ::io_data_impl;
+/*! \class io_data
+*
+* \brief Abstract class for data types.
+*
+* Use this class to define a custom data type. Data types ares used for logging
+*and graphs. \n
+* The reimplemented class must call SetSize() in its constructor. \n
+* io_data can be constructed with n samples (see io_data::io_data).
+* In this case, old samples can be accessed throug io_data::Prev.
+*/
+class io_data : public Mutex {
+  friend class IODevice;
+  friend class ::IODevice_impl;
+  friend class ::io_data_impl;
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an io_data. \n
-            *
-            * \param parent parent
-            * \param name name
-            * \param n number of samples
-            */
-            io_data(const Object* parent,std::string name,int n);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an io_data. \n
+  *
+  * \param parent parent
+  * \param name name
+  * \param n number of samples
+  */
+  io_data(const Object *parent, std::string name, int n);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            virtual ~io_data();
+  /*!
+  * \brief Destructor
+  *
+  */
+  virtual ~io_data();
 
-            /*!
-            * \brief Set data time
-            *
-            * \param time time
-            */
-            void SetDataTime(Time time);
+  /*!
+  * \brief Set data time
+  *
+  * \param time time
+  */
+  void SetDataTime(Time time);
 
-            /*!
-            * \brief Data time
-            *
-            * \return data time
-            */
-            Time DataTime(void) const;
+  /*!
+  * \brief Data time
+  *
+  * \return data time
+  */
+  Time DataTime(void) const;
 
-            /*!
-            * \brief Previous data
-            *
-            * Access previous data. io_data must have been constructed with
-            * n>1, io_data::SetPtrToCircle must have been set and
-            * io_data::prev must have been allocated.
-            *
-            * \param n previous data number
-            *
-            * \return previous data
-            */
-            const io_data* Prev(int n) const;
+  /*!
+  * \brief Previous data
+  *
+  * Access previous data. io_data must have been constructed with
+  * n>1, io_data::SetPtrToCircle must have been set and
+  * io_data::prev must have been allocated.
+  *
+  * \param n previous data number
+  *
+  * \return previous data
+  */
+  const io_data *Prev(int n) const;
 
-            virtual DataType const&GetDataType() const =0;
+  virtual DataType const &GetDataType() const = 0;
 
-        protected:
-            /*!
-            * \brief Specify the description of the reimplemented class data's
-            *
-            *  This method must be called in the constructor of the reimplemented class, once by element. \n
-            *  Each element description must be called in the same order as CopyDatas put the datas in the buffer. \n
-            *  The description will be used for the log descriptor file.
-            *
-            * \param description description of the element
-            * \param datatype type of the element
-            */
-            void AppendLogDescription(std::string description, DataType const &datatype);
+protected:
+  /*!
+  * \brief Specify the description of the reimplemented class data's
+  *
+  *  This method must be called in the constructor of the reimplemented class,
+  *once by element. \n
+  *  Each element description must be called in the same order as CopyDatas put
+  *the datas in the buffer. \n
+  *  The description will be used for the log descriptor file.
+  *
+  * \param description description of the element
+  * \param datatype type of the element
+  */
+  void AppendLogDescription(std::string description, DataType const &datatype);
 
-            /*!
-            * \brief Set the datas to circle
-            *
-            * \param ptr pointer to the data to circle
-            */
-            void SetPtrToCircle(void **ptr);
+  /*!
+  * \brief Set the datas to circle
+  *
+  * \param ptr pointer to the data to circle
+  */
+  void SetPtrToCircle(void **ptr);
 
-            /*!
-            * \brief Pointer to previous data
-            *
-            * Reimplemented class must allocate this pointer if n>1. \n
-            * Pointer must be allocated with the same kind of reimplemented class.
-            */
-            io_data* prev;
+  /*!
+  * \brief Pointer to previous data
+  *
+  * Reimplemented class must allocate this pointer if n>1. \n
+  * Pointer must be allocated with the same kind of reimplemented class.
+  */
+  io_data *prev;
 
-        private:
-            /*!
-            * \brief Copy datas
-            *
-            * This method is automatically called by IODevice::ProcessUpdate to log io_data datas. \n
-            * This method must be reimplemented, in order to copy the datas to the logs.
-            * Copied datas must be of size io_data::Size.
-            *
-            * \param dst destination buffer
-            */
-            virtual void CopyDatas(char* dst) const =0;
+private:
+  /*!
+  * \brief Copy datas
+  *
+  * This method is automatically called by IODevice::ProcessUpdate to log
+  *io_data datas. \n
+  * This method must be reimplemented, in order to copy the datas to the logs.
+  * Copied datas must be of size io_data::Size.
+  *
+  * \param dst destination buffer
+  */
+  virtual void CopyDatas(char *dst) const = 0;
 
-            io_data_impl *pimpl_;
-    };
+  io_data_impl *pimpl_;
+};
 
 } // end namespace core
Index: /trunk/include/FlairFilter/Ahrs.h
===================================================================
--- /trunk/include/FlairFilter/Ahrs.h	(revision 12)
+++ /trunk/include/FlairFilter/Ahrs.h	(revision 13)
@@ -18,167 +18,168 @@
 
 namespace flair {
-    namespace core {
-        class Euler;
-        class Vector3D;
-        class ImuData;
-        class Quaternion;
-        class AhrsData;
-    }
-    namespace gui {
-        class Tab;
-        class DataPlot1D;
-    }
-    namespace sensor {
-        class Imu;
-    }
+namespace core {
+class Euler;
+class Vector3D;
+class ImuData;
+class Quaternion;
+class AhrsData;
+}
+namespace gui {
+class Tab;
+class DataPlot1D;
+}
+namespace sensor {
+class Imu;
+}
 }
 
 class Ahrs_impl;
 
-namespace flair { namespace filter {
-    /*! \class Ahrs
-    *
-    * \brief Abstract class for AHRS
-    *
-    * Use this class to define a custom AHRS. This class is child
-    * of an Imu class, which will provide measurements. \n
-    *
-    */
-    class Ahrs : public core::IODevice {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an Ahrs.
-            *
-            * \param parent parent
-            * \param name name
-            */
-            Ahrs(const sensor::Imu* parent,std::string name);
+namespace flair {
+namespace filter {
+/*! \class Ahrs
+*
+* \brief Abstract class for AHRS
+*
+* Use this class to define a custom AHRS. This class is child
+* of an Imu class, which will provide measurements. \n
+*
+*/
+class Ahrs : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an Ahrs.
+  *
+  * \param parent parent
+  * \param name name
+  */
+  Ahrs(const sensor::Imu *parent, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Ahrs();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Ahrs();
 
-            /*!
-            * \brief Get parent Imu
-            *
-            * This function is identical to (Imu*)Parent()
-            */
-            const sensor::Imu *GetImu(void) const;
+  /*!
+  * \brief Get parent Imu
+  *
+  * This function is identical to (Imu*)Parent()
+  */
+  const sensor::Imu *GetImu(void) const;
 
-            /*!
-            * \brief Get ahrs datas
-            *
-            * \return AhrsData
-            */
-            const core::AhrsData *GetDatas(void) const;
+  /*!
+  * \brief Get ahrs datas
+  *
+  * \return AhrsData
+  */
+  const core::AhrsData *GetDatas(void) const;
 
-            /*!
-            * \brief Lock the graphical user interface
-            *
-            * When locked, parameters cannot be modified.
-            *
-            */
-            void LockUserInterface(void) const;
+  /*!
+  * \brief Lock the graphical user interface
+  *
+  * When locked, parameters cannot be modified.
+  *
+  */
+  void LockUserInterface(void) const;
 
-            /*!
-            * \brief Unlock the graphical user interface
-            *
-            */
-            void UnlockUserInterface(void) const;
+  /*!
+  * \brief Unlock the graphical user interface
+  *
+  */
+  void UnlockUserInterface(void) const;
 
-            /*!
-            * \brief Use default plot
-            *
-            * Plot the datas defined in imudata,
-            * and datas defined in Imu::imudata.
-            *
-            */
-            void UseDefaultPlot(void);
+  /*!
+  * \brief Use default plot
+  *
+  * Plot the datas defined in imudata,
+  * and datas defined in Imu::imudata.
+  *
+  */
+  void UseDefaultPlot(void);
 
-            /*!
-            * \brief Add plot
-            *
-            * Add plot of an AhrsData to the default plot
-            *
-            * \param ahrsData ahrs datas to plot
-            * \param color color to use
-            */
-            void AddPlot(const core::AhrsData *ahrsData,gui::DataPlot::Color_t color);
+  /*!
+  * \brief Add plot
+  *
+  * Add plot of an AhrsData to the default plot
+  *
+  * \param ahrsData ahrs datas to plot
+  * \param color color to use
+  */
+  void AddPlot(const core::AhrsData *ahrsData, gui::DataPlot::Color_t color);
 
-            /*!
-            * \brief Roll plot
-            *
-            * Use this plot to add own curves.
-            *
-            * \return plot
-            *
-            */
-            gui::DataPlot1D *RollPlot(void)const ;
+  /*!
+  * \brief Roll plot
+  *
+  * Use this plot to add own curves.
+  *
+  * \return plot
+  *
+  */
+  gui::DataPlot1D *RollPlot(void) const;
 
-            /*!
-            * \brief Pitch plot
-            *
-            * Use this plot to add own curves.
-            *
-            * \return plot
-            *
-            */
-            gui::DataPlot1D *PitchPlot(void) const;
+  /*!
+  * \brief Pitch plot
+  *
+  * Use this plot to add own curves.
+  *
+  * \return plot
+  *
+  */
+  gui::DataPlot1D *PitchPlot(void) const;
 
-            /*!
-            * \brief Yaw plot
-            *
-            * Use this plot to add own curves.
-            *
-            * \return plot
-            *
-            */
-            gui::DataPlot1D *YawPlot(void) const;
+  /*!
+  * \brief Yaw plot
+  *
+  * Use this plot to add own curves.
+  *
+  * \return plot
+  *
+  */
+  gui::DataPlot1D *YawPlot(void) const;
 
-            /*!
-            * \brief Rotation speed around x axis plot
-            *
-            * Use this plot to add own curves.
-            *
-            * \return plot
-            *
-            */
-            gui::DataPlot1D *WXPlot(void) const;
+  /*!
+  * \brief Rotation speed around x axis plot
+  *
+  * Use this plot to add own curves.
+  *
+  * \return plot
+  *
+  */
+  gui::DataPlot1D *WXPlot(void) const;
 
-            /*!
-            * \brief Rotation speed around y axis plot
-            *
-            * Use this plot to add own curves.
-            *
-            * \return plot
-            *
-            */
-            gui::DataPlot1D *WYPlot(void) const;
+  /*!
+  * \brief Rotation speed around y axis plot
+  *
+  * Use this plot to add own curves.
+  *
+  * \return plot
+  *
+  */
+  gui::DataPlot1D *WYPlot(void) const;
 
-            /*!
-            * \brief Rotation speed around z axis plot
-            *
-            * Use this plot to add own curves.
-            *
-            * \return plot
-            *
-            */
-            gui::DataPlot1D *WZPlot(void) const;
+  /*!
+  * \brief Rotation speed around z axis plot
+  *
+  * Use this plot to add own curves.
+  *
+  * \return plot
+  *
+  */
+  gui::DataPlot1D *WZPlot(void) const;
 
-        protected:
-            /*!
-            * \brief Get ahrs datas
-            *
-            * \param ahrsData ahrs datas
-            */
-            void GetDatas(core::AhrsData **ahrsData) const;
+protected:
+  /*!
+  * \brief Get ahrs datas
+  *
+  * \param ahrsData ahrs datas
+  */
+  void GetDatas(core::AhrsData **ahrsData) const;
 
-        private:
-            class Ahrs_impl *pimpl_;
-    };
+private:
+  class Ahrs_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
Index: /trunk/include/FlairFilter/ButterworthLowPass.h
===================================================================
--- /trunk/include/FlairFilter/ButterworthLowPass.h	(revision 12)
+++ /trunk/include/FlairFilter/ButterworthLowPass.h	(revision 13)
@@ -16,91 +16,89 @@
 #include <IODevice.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-    }
-    namespace gui
-    {
-        class LayoutPosition;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+}
+namespace gui {
+class LayoutPosition;
+}
 }
 
 class ButterworthLowPass_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class ButterworthLowPass
-    *
-    * \brief Class defining a Butterworth low pass filter
-    */
-    class ButterworthLowPass : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a ButterworthLowPass at position. \n
-            * After calling this function, position will be deleted as it is no longer usefull. \n
-            * The filter is automatically updated when parent's
-            * IODevice::ProcessUpdate is called.
-            *
-            * \param parent parent
-            * \param position position to display settings
-            * \param name name
-            * \param order order of the filter
-            */
-            ButterworthLowPass(const IODevice* parent,const gui::LayoutPosition* position,std::string name,int order);
+namespace flair {
+namespace filter {
+/*! \class ButterworthLowPass
+*
+* \brief Class defining a Butterworth low pass filter
+*/
+class ButterworthLowPass : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a ButterworthLowPass at position. \n
+  * After calling this function, position will be deleted as it is no longer
+  *usefull. \n
+  * The filter is automatically updated when parent's
+  * IODevice::ProcessUpdate is called.
+  *
+  * \param parent parent
+  * \param position position to display settings
+  * \param name name
+  * \param order order of the filter
+  */
+  ButterworthLowPass(const IODevice *parent,
+                     const gui::LayoutPosition *position, std::string name,
+                     int order);
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a ButterworthLowPass at position. \n
-            * The ButterworthLowPass will automatically be child of position->getLayout() Layout. After calling this function,
-            * position will be deleted as it is no longer usefull. \n
-            * The filter is updated manually with UpdateFrom method. \n
-            *
-            * \param position position to display settings
-            * \param name name
-            * \param order order of the filter
-            */
-            ButterworthLowPass(const gui::LayoutPosition* position,std::string name,int order);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a ButterworthLowPass at position. \n
+  * The ButterworthLowPass will automatically be child of position->getLayout()
+  *Layout. After calling this function,
+  * position will be deleted as it is no longer usefull. \n
+  * The filter is updated manually with UpdateFrom method. \n
+  *
+  * \param position position to display settings
+  * \param name name
+  * \param order order of the filter
+  */
+  ButterworthLowPass(const gui::LayoutPosition *position, std::string name,
+                     int order);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~ButterworthLowPass();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~ButterworthLowPass();
 
-            /*!
-            * \brief Output value
-            *
-            * \return filtered output
-            */
-            float Output(void) const;
+  /*!
+  * \brief Output value
+  *
+  * \return filtered output
+  */
+  float Output(void) const;
 
-            /*!
-            * \brief Output matrix
-            *
-            * \return filtered output
-            */
-            core::cvmatrix* Matrix(void)const ;
+  /*!
+  * \brief Output matrix
+  *
+  * \return filtered output
+  */
+  core::cvmatrix *Matrix(void) const;
 
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
 
-        private:
-
-            class ButterworthLowPass_impl* pimpl_;
-    };
+private:
+  class ButterworthLowPass_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
Index: /trunk/include/FlairFilter/ControlLaw.h
===================================================================
--- /trunk/include/FlairFilter/ControlLaw.h	(revision 12)
+++ /trunk/include/FlairFilter/ControlLaw.h	(revision 13)
@@ -17,105 +17,108 @@
 
 namespace flair {
-    namespace gui {
-        class LayoutPosition;
-    }
-    namespace core {
-        class cvmatrix;
-    }
+namespace gui {
+class LayoutPosition;
+}
+namespace core {
+class cvmatrix;
+}
 }
 
-namespace flair { namespace filter {
-    /*! \class ControlLaw
-    *
-    * \brief Base class for control law
-    * input must be created by reimplemented class.\n
-    * output is created by this class, it is of size (nb_out,1) and type float.\n
-    * see constructor for nb_out
-    */
-    class ControlLaw : public core::IODevice {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a ControlLaw
-            *
-            * \param parent parent
-            * \param name name
-            * \param nb_out number of output
-            */
-            ControlLaw(const core::Object* parent,std::string name,uint32_t nb_out=1);
+namespace flair {
+namespace filter {
+/*! \class ControlLaw
+*
+* \brief Base class for control law
+* input must be created by reimplemented class.\n
+* output is created by this class, it is of size (nb_out,1) and type float.\n
+* see constructor for nb_out
+*/
+class ControlLaw : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a ControlLaw
+  *
+  * \param parent parent
+  * \param name name
+  * \param nb_out number of output
+  */
+  ControlLaw(const core::Object *parent, std::string name, uint32_t nb_out = 1);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~ControlLaw();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~ControlLaw();
 
-            /*!
-            * \brief Output value
-            *
-            * \param index output index, between 0 and nb_out-1
-            *
-            * \return output value
-            */
-            float Output(uint32_t index=0) const;
+  /*!
+  * \brief Output value
+  *
+  * \param index output index, between 0 and nb_out-1
+  *
+  * \return output value
+  */
+  float Output(uint32_t index = 0) const;
 
-            /*!
-            * \brief Use default plot
-            *
-            * Plot the output value at given position. \n
-            * Only Output(1,1) is plotted. \n
-            * In case of a mutliple output ControlLaw, this function should be reimplemented. \n
-            * After calling this function, position will be deleted as it is no longer usefull. \n
-            *
-            * \param position position to display plot
-            */
-            virtual void UseDefaultPlot(const gui::LayoutPosition* position);
+  /*!
+  * \brief Use default plot
+  *
+  * Plot the output value at given position. \n
+  * Only Output(1,1) is plotted. \n
+  * In case of a mutliple output ControlLaw, this function should be
+  *reimplemented. \n
+  * After calling this function, position will be deleted as it is no longer
+  *usefull. \n
+  *
+  * \param position position to display plot
+  */
+  virtual void UseDefaultPlot(const gui::LayoutPosition *position);
 
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented class must fill input matrix before calling this.
-            *
-            * \param time time of the update
-            */
-            void Update(core::Time time);
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented class must fill input matrix before calling this.
+  *
+  * \param time time of the update
+  */
+  void Update(core::Time time);
 
-            /*!
-            * \brief Reset the internal state of the control law
-            *
-            * Doesn't do anything by default
-            *
-            */
-            virtual void Reset() {};
+  /*!
+  * \brief Reset the internal state of the control law
+  *
+  * Doesn't do anything by default
+  *
+  */
+  virtual void Reset(){};
 
-        protected:
-            /*!
-            * \brief input matrix
-            *
-            * This matrix must be created by the reimplemented class.
-            *
-            */
-            core::cvmatrix *input;
+protected:
+  /*!
+  * \brief input matrix
+  *
+  * This matrix must be created by the reimplemented class.
+  *
+  */
+  core::cvmatrix *input;
 
-            /*!
-            * \brief output matrix
-            *
-            * This matrix is created by this class. Its size is (nb_out,1) and its type
-            * is io_data::Float.
-            *
-            */
-            core::cvmatrix *output;
+  /*!
+  * \brief output matrix
+  *
+  * This matrix is created by this class. Its size is (nb_out,1) and its type
+  * is io_data::Float.
+  *
+  */
+  core::cvmatrix *output;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            virtual void UpdateFrom(const core::io_data *data)=0;
-    };
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  virtual void UpdateFrom(const core::io_data *data) = 0;
+};
 } // end namespace filter
 } // end namespace flair
Index: /trunk/include/FlairFilter/EulerDerivative.h
===================================================================
--- /trunk/include/FlairFilter/EulerDerivative.h	(revision 12)
+++ /trunk/include/FlairFilter/EulerDerivative.h	(revision 13)
@@ -16,84 +16,81 @@
 #include <IODevice.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-    }
-    namespace gui
-    {
-        class LayoutPosition;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+}
+namespace gui {
+class LayoutPosition;
+}
 }
 
 class EulerDerivative_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class EulerDerivative
-    *
-    * \brief Class defining an euler derivative
-    */
+namespace flair {
+namespace filter {
+/*! \class EulerDerivative
+*
+* \brief Class defining an euler derivative
+*/
 
-    class EulerDerivative : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an EulerDerivative at given position. \n
-            * After calling this function, position will be deleted as it is no longer usefull. \n
-            * The filter is automatically updated when parent's
-            * IODevice::ProcessUpdate is called. \n
-            * The optional init_value parameters allow to specify
-            * the size of the input datas and its inital values.
-            * If unspecified, a 1*1 size is used, and values are
-            * initialized with 0.
-            *
-            * \param parent parent
-            * \param position position to display settings
-            * \param name name
-            * \param init_value initial value
-            */
-            EulerDerivative(const core::IODevice* parent,const gui::LayoutPosition* position,std::string name,const core::cvmatrix* init_value=NULL);
+class EulerDerivative : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an EulerDerivative at given position. \n
+  * After calling this function, position will be deleted as it is no longer
+  *usefull. \n
+  * The filter is automatically updated when parent's
+  * IODevice::ProcessUpdate is called. \n
+  * The optional init_value parameters allow to specify
+  * the size of the input datas and its inital values.
+  * If unspecified, a 1*1 size is used, and values are
+  * initialized with 0.
+  *
+  * \param parent parent
+  * \param position position to display settings
+  * \param name name
+  * \param init_value initial value
+  */
+  EulerDerivative(const core::IODevice *parent,
+                  const gui::LayoutPosition *position, std::string name,
+                  const core::cvmatrix *init_value = NULL);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~EulerDerivative();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~EulerDerivative();
 
-            /*!
-            * \brief Output value
-            *
-            * \param row row element
-            * \param col column element
-            *
-            * \return element value
-            */
-            float Output(int row, int col) const;
+  /*!
+  * \brief Output value
+  *
+  * \param row row element
+  * \param col column element
+  *
+  * \return element value
+  */
+  float Output(int row, int col) const;
 
-            /*!
-            * \brief Output matrix
-            *
-            * \return filtered output
-            */
-            core::cvmatrix *Matrix(void) const;
+  /*!
+  * \brief Output matrix
+  *
+  * \return filtered output
+  */
+  core::cvmatrix *Matrix(void) const;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
 
-            class EulerDerivative_impl* pimpl_;
-    };
+  class EulerDerivative_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
